Subject: Re: bug#17234: 24.3.50; overlay priority : cons cells make an error in ediff

From: Glenn Morris <[email-masked]>
Date: Fri, 11 Apr 2014 12:31:48 -0400

Stefan Monnier wrote:

> It has always been the case that `priority' could be any value.

But the only documented values were and are nil and positive integers.
I really doubt anyone was intentionally using anything else to mean "nil".

> Any non-number value was treated as nil by the display engine, whereas
> now some cons values are treated as something else.

So even if your previous point was correct, it's still an incompatible
change. A cons cell can no longer be used to mean "no explicit priority".

> But ediff's bug could already be triggered in Emacs<24.4 by a package
> installing an overlay with a `priority' that's a cons cell.

Since we never (?) had any such reports, I conclude nobody did that.

But I imagine ediff was not the only package trying to get the priority
of an overlay and do something with the answer (however misguided you
think that might be).